Site Requirements

The Faulkes Telescope Project website has been designed to work at a width of 800 pixels upwards and with the following browsers.

To view all of the content on the Faulkes Telescope Project website, you will need to have the following software plugins installed. To get each plugin, click on the graphic below.

Adobe Flash Player 9 Apple Quicktime 7

Adobe Flash Player 9

Apple Quicktime 7

Adobe Acrobat Reader

For animations you will
require the Adobe Flash Player
plugin

For movies you will
require the Apple QuickTime
plugin

For PDF documents you will
require the Adobe Reader
plugin.